/* allow disabling border */
.no-border {
    border: 0;
    box-shadow: none;
}

/* fix the location of the navbar */
body {
  min-height: 2000px;
  padding-top: 70px;
}

/* increase contrast of text in disabled fields */
input[type=text]:disabled{
    color:#000000;
    background-color:#f0f0f0;
}

/* Remove asterisk from required django-crispy-fields */
.asteriskField {
    display: none;
}

/* Enable groupings for flex rows to ensure clusters (see Medication form) */
.flex-basis-10 { flex-basis: 10%; }
.flex-basis-15 { flex-basis: 15%; }
.flex-basis-25 { flex-basis: 25%; }
@media (max-width: 768px) {
  .flex-basis-10, .flex-basis-15, .flex-basis-25 {
    flex-basis: 100%;
  }
}

/* Centering elements in table cells */
.table-cell-centered {
    text-align: center;
    vertical-align: middle;
}
.table-cell-centered > * {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}

.table-cell-centered ul {
    margin: 0;
    padding: 0;
}

.table-cell-centered .alert {
    width: 100%;
    margin: 0;
}
.table-cell-centered .btn-container {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100%;
}
.table-cell-centered .btn {
    margin: 0 auto;
    display: block;
}
